[06/10] packagegroup-core-boot: install systemd-compat-units on systemd images

Submitted by Ross Burton on Jan. 19, 2013, 10:47 p.m.

Details

Message ID 581738118a1085bdbeffe98267a02372f3524f37.1358635193.git.ross.burton@intel.com
State Accepted
Commit 5b2e201736325ffc7c68e3659448d032bd1968d0
Headers show

Commit Message

Ross Burton Jan. 19, 2013, 10:47 p.m.
systemd-compat-units is needed to run postinsts for example.

Signed-off-by: Ross Burton <ross.burton@intel.com>
---
 meta/recipes-core/packagegroups/packagegroup-core-boot.bb |    1 +
 1 file changed, 1 insertion(+)

Patch hide | download patch | download mbox

diff --git a/meta/recipes-core/packagegroups/packagegroup-core-boot.bb b/meta/recipes-core/packagegroups/packagegroup-core-boot.bb
index 94e9e32..fbc50c7 100644
--- a/meta/recipes-core/packagegroups/packagegroup-core-boot.bb
+++ b/meta/recipes-core/packagegroups/packagegroup-core-boot.bb
@@ -41,6 +41,7 @@  RDEPENDS_${PN} = "\
     netbase \
     ${VIRTUAL-RUNTIME_login_manager} \
     ${VIRTUAL-RUNTIME_init_manager} \
+    ${@base_contains('DISTRO_FEATURES', 'systemd', 'systemd-compat-units', '',d)} \
     ${VIRTUAL-RUNTIME_dev_manager} \
     ${VIRTUAL-RUNTIME_update-alternatives} \
     ${MACHINE_ESSENTIAL_EXTRA_RDEPENDS}"